/*
    FOOTER LAYOUT
 */
#footer {
    padding: 47px 30px;
    border-top: 3px solid var(--red);
    background-color: var(--blue);
    color: var(--white);
}

#footerGrid {
    max-width: 1400px;
    margin: 0 auto;
    padding-bottom: 40px;
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
}

@media screen and (max-width: 1000px) {
    #footer {
    }

    #footerGrid {
        grid-template-columns: repeat(1, minmax(0, 1fr));
        padding-bottom: 10px;
    }
}

/*
    FOOTER INFO
 */
#footerInfo {
}

#footerInfoLogo {
    max-width: 518px;
    width: 75%;
    margin-bottom: 100px;
}

address {
    font-size: 18px;
    font-style: normal;
    display: flex;
    flex-direction: column;
    gap: 15px;
    margin-bottom: 15px;
}

address p {
}

#footerInfoSocials {
    display: flex;
    align-items: center;
    gap: 10px;
}

.footerInfoSocialsItem {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--red);
    width: 48px;
    height: 48px;
    opacity: 1;
    transition: opacity 0.3s ease;
}

.footerInfoSocialsItem:hover {
    opacity: 0.8;
}

.footerInfoSocialsItemImg {
    max-width: 23px;
    max-height: 23px;
    width: 100%;
}

@media screen and (max-width: 1000px) {
    #footerInfo {
        padding-bottom: 20px;
    }

    #footerInfoLogo {
        width: 100%;
        margin-bottom: 40px;
    }

    address {
        margin-bottom: 30px;
    }

    address p {
    }

    #footerInfoSocials {
    }

    .footerInfoSocialsItem {
    }

    .footerInfoSocialsItemImg {
    }
}

/*
    FOOTER NAV
 */
#footerNav {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: 75px;
}

.footerNavItem {
}

.footerNavItemTitle {
    font-size: 22px;
    font-family: Mulish, sans-serif;
    padding-bottom: 10px;
    border-bottom: 1px solid var(--white);
}

.footerNavItemList {
    list-style: none;
    margin: 20px 0 0 0;
    padding: 0;
}

.footerNavItemListEntry {
    margin-bottom: 20px;
}

.footerNavItemListEntry a {
}

.footerNavItemListEntry a:hover {
    color: inherit;
}

#map {
    max-width: 283px;
    max-height: 195px;
}

@media (max-width: 1000px) {
    #footerNav {
        grid-template-columns: repeat(1, minmax(0, 1fr));
        gap: 20px;
    }

    .footerNavItem {
    }

    .footerNavItemTitle {
    }

    .footerNavItemList {
    }

    .footerNavItemListEntry {
    }

    .footerNavItemListEntry a {
    }

    #map {
    }
}


/*
    FOOTER LEGAL
 */
#footerLegal {
    max-width: 1400px;
    margin: 0 auto;
    border-top: 1px solid var(--white);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px 0;
}

#footerLegalLinks {
    font-size: 16px;
    font-weight: 700;
    display: flex;
    align-items: center;
    gap: 20px;
}

#footerLegalCopyright {
    font-family: Outfit, sans-serif;
    font-weight: 700;
    font-size: 14px;
    letter-spacing: 2.1px;
    line-height: 22.4px;
}

@media (max-width: 1000px) {
    #footerLegal {
        flex-direction: column;
        align-items: flex-start;
    }

    #footerLegalLinks {
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
    }

    #footerLegalCopyright {
        text-align: center;
        margin-top: 60px;
    }
}